## org.apache.ivy.plugins.matcher
Class NoMatcher

    java.lang.Object
      org.apache.ivy.plugins.matcher.NoMatcher

All Implemented Interfaces:
  Matcher

    public final class NoMatcher

extends java.lang.Object
implements Matcher

A matcher that matches nothing.

Field Summary
`static Matcher` `INSTANCE`

Constructor Summary
`NoMatcher()`

Method Summary
`boolean` `isExact()` Return if the matcher will match *only* if the expression equals the input.
`boolean` `matches(java.lang.String input)` Check whether a given string is matched by this matcher.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final Matcher INSTANCE

Constructor Detail

### NoMatcher

    public NoMatcher()

Method Detail

### matches

    public boolean matches(java.lang.String input)

  Description copied from interface: `Matcher`
  Check whether a given string is matched by this matcher.

  Specified by:
    `matches` in interface `Matcher`
  Parameters:
    `input` - the string to be matched. Cannot be null.
  Returns:
    true if the input string is matched, false otherwise.

### isExact

    public boolean isExact()

  Description copied from interface: `Matcher`
  Return if the matcher will match *only* if the expression equals the input. WARN: This is used only as a performance trick, to avoid scanning for things when you already know exactly what you want. In the install task where it used it avoid scanning the repository to list all modules to find that only one matches, and that it has the name requested.

  Specified by:
    `isExact` in interface `Matcher`
  Returns:
    true if the matcher only matches when the expression is equals to the input, false otherwise.